package com.fs.watch.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class UserInfo extends Device {

    private int height;
    private int weight;
    private int gender;
    private int age;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;


    /** 用户昵称 */
    private String nickname;

    /** 目标步数 */
    private String targetStep;

    /** 目标卡路里 */
    private String targetCalorie;


    private int caliberate_walk;
    private int caliberate_run;

    public String getTargetCalorie() {
        return targetCalorie;
    }

    public void setTargetCalorie(String targetCalorie) {
        this.targetCalorie = targetCalorie;
    }

    public String getTargetStep() {
        return targetStep;
    }

    public void setTargetStep(String targetStep) {
        this.targetStep = targetStep;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public int getWeight() {
        return weight;
    }

    public void setWeight(int weight) {
        this.weight = weight;
    }

    public int getGender() {
        return gender;
    }

    public void setgender(int gender) {
        this.gender = gender;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public int getCaliberate_walk() {
        return caliberate_walk;
    }

    public void setCaliberate_walk(int caliberate_walk) {
        this.caliberate_walk = caliberate_walk;
    }

    public int getCaliberate_run() {
        return caliberate_run;
    }

    public void setCaliberate_run(int caliberate_run) {
        this.caliberate_run = caliberate_run;
    }
}
